/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_NETWORK

#include "network_manager.h"

using namespace std;




/**
 *  standard constructor
 */
NetworkManager::NetworkManager()
{}


/**
 *  standard deconstructor
 */
NetworkManager::~NetworkManager()
{}


/**
 *  initializes the network manager
 */
void NetworkManager::initialize()
{}

  
/**
 *  shutsdown the network manager
 */
void NetworkManager::shutdown()
{}


/**
 *  creates a connection from one object to a host
 * @param address: the address of the destination host
 * @param synchronizeable: reference to the sync object
 */
void NetworkManager::establishConnection()
{}


/**
 *  teardown a connection
 */
void NetworkManager::shutdownConnection()
{}
  

/**
 *  registers a listener at the network manager
 * @param listener: the reference to the listener to be added
 */
void NetworkManager::registerListener()
{}

/**
 *  sync the network
 */
void NetworkManager::synchronize()
{}


