/*!
 * @file network_manager.h
  *  Main interface for the network module. Manages all the modules

*/

#ifndef _NETWORK_MANGER
#define _NETWORK_MANAGER

#include "base_object.h"



class NetworkManager : public BaseObject
{

public:

  NetworkManager();
  ~NetworkManager();
 
  void initialize();
  void sthudown();
  void establishConnection();
  void shutdownConnection();
  
  void registerListener();
  void synchronize();
  
};



#endif /* _NETWORK_MANAGER */
